E-MailRelay

Classes | Namespaces
gclientptr.h File Reference
`#include "gdef.h"`
`#include "gclient.h"`
`#include "gnetdone.h"`
`#include "gexception.h"`
`#include "gexceptionsource.h"`
`#include "geventhandler.h"`
`#include "gslot.h"`
`#include <memory>`

Go to the source code of this file.

## Classes
class | GNet::ClientPtrBase
| The non-template part of GNet::ClientPtr. More...
class | GNet::ClientPtr< T >
| A smart pointer class for GNet::Client. More...

## Namespaces
namespace | GNet
| Network classes.